curl --location --request PUT 'https://staging-api.propaga.io/v1/transaction/{transactionId}' \ --header 'Authorization: <your_awesome_token>' \ --header 'Content-Type: application/json' \ --data '{ "status": "cancel", "cancellationReason": "" }'
{ "success": true }
Cancels a given transaction
Documentation IndexFetch the complete documentation index at: https://docs.propaga.mx/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.propaga.mx/llms.txt
Use this file to discover all available pages before exploring further.
cancel
Show Reasons
DAMAGED_PRODUCT NEVER_RECEIVED MISSING_ITEMS_FROM_ORDER WRONG_PRODUCT CANCELLED_BY_USER
{ "errorCode": "TRANSACTION_NOT_FOUND", "errorMessage": "This transaction not found" }
{ "errorCode": "TRANSACTION_STATUS_NOT_VALID_FOR_CANCELLATION", "errorMessage": "The status of this transaction is not valid for cancellation" }
Was this page helpful?